#include "fdf.h"

int		main(int argc, char **argv)
{
	t_FDF	*FDF;
//	int i = 0;
	if (argc < 2)
	{
		print_help();
		return (0);
	}
	FDF = FDF_init(argv[1]);
	center(FDF->map);
	FDF->map->trnsf = initial_trnsf_mats(FDF);
	viewport_projection_translate(FDF->map->trnsf);
	mat4_mult_chain(FDF);
	transform(FDF->map->trnsf->fin, FDF->map);
	render(FDF);
//	sleep(10);
//	while (i < 360)
//	{
//		usleep(15000);
//		clock_rot(FDF);
//		i++;
//	}
	mlx_key_hook(FDF->mw->win, key_hook, FDF);
	mlx_loop(FDF->mw->mlx);
	return (0);
}
